Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Box Class Reference

Inherits Clutter::LayoutManager, and Clutter::Container.

Collaboration diagram for Clutter::Box:
[legend]

List of all members.

## Public Member Functions
virtual | ~Box ()
ClutterBox* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBox* | gobj () const
| Provides access to the underlying C GObject.
ClutterBox* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_color (const Color& color)
| Sets (or unsets) the background color for box.
Color | get_color () const
| Retrieves the background color of box.
void | pack (const Glib::RefPtr< Actor >& actor, const std::map< std::string, Glib::ValueBase >& properties)
Glib::PropertyProxy< Color > | property_color ()
| The color to be used to paint the background of the ClutterBox.
Glib::PropertyProxy_ReadOnly < Color > | property_color () const
| The color to be used to paint the background of the ClutterBox.
Glib::PropertyProxy< bool > | property_color_set ()
| Whether the 'color' property has been set.
Glib::PropertyProxy_ReadOnly < bool > | property_color_set () const
| Whether the 'color' property has been set.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< LayoutManager > > | property_manager () const
| The ClutterLayoutManager used by the ClutterBox.
## Static Public Member Functions
static Glib::RefPtr< Box > | create ()
## Protected Member Functions
| Box ()
| Box (const Glib::RefPtr< LayoutManager >& layoutManager)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Box > | wrap (ClutterBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Box::~Box | ( |  | ) | `[virtual]`

Clutter::Box::Box | ( |  | ) | `[protected]`

Clutter::Box::Box | ( | const Glib::RefPtr< LayoutManager >& | layoutManager | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Box> Clutter::Box::create | ( |  | ) | `[static]`

Color Clutter::Box::get_color | ( |  | ) | const

Retrieves the background color of box.

If the Clutter::Box:color-set property is set to `false` the returned Clutter::Color is undefined

Since cluttermm 1.2:

Parameters:

  | color | Return location for a Clutter::Color.

ClutterBox* Clutter::Box::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Container.

const ClutterBox* Clutter::Box::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Container.

ClutterBox* Clutter::Box::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Clutter::Box::pack | ( | const Glib::RefPtr< Actor >& | actor,
|  | const std::map< std::string, Glib::ValueBase > & | properties |
| ) |  |  |

Glib::PropertyProxy<Color> Clutter::Box::property_color | ( |  | ) |

The color to be used to paint the background of the ClutterBox.

Setting this property will set the 'color-set' property as a side effect.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Color> Clutter::Box::property_color | ( |  | ) | const

The color to be used to paint the background of the ClutterBox.

Setting this property will set the 'color-set' property as a side effect.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Box::property_color_set | ( |  | ) |

Whether the 'color' property has been set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Box::property_color_set | ( |  | ) | const

Whether the 'color' property has been set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<LayoutManager> > Clutter::Box::property_manager | ( |  | ) | const

The ClutterLayoutManager used by the ClutterBox.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Box::set_color | ( | const Color& | color | ) |

Sets (or unsets) the background color for box.

Since cluttermm 1.2:

Parameters:

  | color | The background color, or `0` to unset.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Box > wrap | ( | ClutterBox * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/box.h